Issue 36118

Summary: Save a section as a new document
Product: Writer Reporter: zalu <kasim>
Component: save-exportAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, oo
Version: OOo 1.1.3Keywords: rfe_eval_ok, usability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description zalu 2004-10-26 09:27:10 UTC
I'd found it very usefull, to have the option - for example as a new point in
the section-context-menu of the navigator:
'save section as a new document'.
This option should also be available for the sections in a globaldocument, that
contain the linked docs.
Background of the whish:
Having that pissibility I could set the sections of the globaldocument on
'writable', do all changements directly in the globaldocument and than overwrite
the linked docs with the sections of the globaldocument.
I used to work in a simular way with Lotus WordPro. A globaldocument in Lotus
was called masterdocument and when I saved the masterdocument, WordPro proposed
to save also the linked documents, what I could accept or refuse. By accepting
all changes that had been done in the masterdocument where written to the
source-documents.
When you have for example a catalog or a manual that has to be updated every now
and then, usually you have to change various documents. It is much more
confortable, if you can do that directly in one document, may be a
globaldocument or a writer-document with linked sections.
I'm not sure, what would be the better way to include such a function, if by the
possibility of 'save section as new document/save section-changements to
source-document' or the option 'save changes to linked documents' by saving a
globaldocument, perhaps your specialists have also better ideas.

I would like to add a further proposition, that normally would be an issue for
sCalc spreadsheets. But it concerns the same funcitonality as the description of
the sections in writer:
in sCalc you also might have tables that are links to tables of different
spreadsheets. Also here I found it very helpfull, if I could save changes to the
 source-spreadsheet.
Thanks a lot,
C. Martinez
Comment 1 michael.ruess 2004-10-26 10:19:18 UTC
reassigned to BH.
Comment 2 lohmaier 2004-12-09 20:33:39 UTC
As a workaround, you can use the navigator to drag'n'drop the section to a new
document.
version set to 1.1.3 (OOo 2.0 is not released yet)
Comment 3 ace_dent 2008-05-16 00:39:53 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html